Package Details: nixnote 1.6-1

Git Clone URL: https://aur.archlinux.org/nixnote.git (read-only)
Package Base: nixnote
Description: Formerly called nevernote, nixnote is a clone of Evernote designed to run on Linux
Upstream URL: http://www.sourceforge.net/projects/nevernote
Licenses: GPL2
Conflicts: nixnote-beta
Submitter: dserban
Maintainer: yaroslav
Last Packager: yaroslav
Votes: 167
Popularity: 0.763202
First Submitted: 2011-07-31 18:19
Last Updated: 2016-02-28 16:59

Latest Comments

pmatts commented on 2015-09-12 13:32

thankyou yaroslav

good work.
that works a treat :)

yaroslav commented on 2015-08-24 17:45

pmatts,
Added https://aur.archlinux.org/packages/nixnote-beta/

yaroslav commented on 2015-08-24 17:22

pmatts,
Ok, I'll add package for i386. Tarball there in SourceForge.

pmatts commented on 2015-08-24 17:03

@yaroslav

nixnote-beta doesn't work on my computer. I#m no expert but It looks like its only for 64bit - arch=('x86_64')

theres still a lot of us 32 bitters around. can we expect the beta?

yaroslav commented on 2015-08-24 15:01

pmatts,
Try it https://aur.archlinux.org/packages/nixnote-beta/

pmatts commented on 2015-08-24 14:41

i cant authorise either:

OAuth error retreiving temporary token.

flaccid commented on 2015-05-03 02:50

@stbinan I can't replicate, both synch for me. You may like to take the issue upstream with the project.

stbinan commented on 2015-05-02 09:23

Excuse me, I can't authorize evernote account with this version, while nixnote-beta works fine.

orschiro commented on 2015-01-31 15:06

@flaccid

Apologise. I accidentally flagged the package out of date.

Thanks for maintaining!

flaccid commented on 2014-10-14 10:42

@mondayrobot here you go for beta https://aur.archlinux.org/packages/nixnote-beta/. I took over this package for current stable too, have fun.

Any issues, please report.

mondayrobot commented on 2014-04-06 05:42

Hello, nixnote 2 just entered beta status. Do you plan to update the package? Thanks

tdduong commented on 2014-02-25 03:45

very nice

sender commented on 2013-12-11 14:02

On start up I get the message: "NeverNote 0.99 is available". About shows that Nixnote version 1.6 is installed. Any idea what is going on?

caemir commented on 2013-10-24 12:44

line2 → pkgbranch=('NixNote 1.6')

line 20 →
source=(${pkgname}-${pkgver}_${_filearch}.tar.gz::http://sourceforge.net/projects/nevernote/files/"${pkgbranch}"/${pkgname}-${pkgver}_${_filearch}.tar.g$.tar.gz/download)


then "${pkgbranch}" line 20

caemir commented on 2013-10-24 12:32

or arrange the probleme with the space :p

caemir commented on 2013-10-24 12:29

Can u remove "1.6" from second line ?

/tmp/yaourt-tmp-caemir/aur-nixnote/./PKGBUILD: ligne2: 1.6 : commande introuvable

Anonymous comment on 2013-06-02 16:21

Updated to version 1.6 and fixed the inconsistencies @HeptaSean mentioned.

Blask commented on 2013-06-02 04:31

v1.6 released~ :)

HeptaSean commented on 2013-05-07 09:07

Very, very minor comment: The package description has "nixnote" itself as "%CONFLICTS%" and "%PROVIDES%". This is very unusual. (Just noticed it, because I'm writing on a package management script and nixnote is the only package with this.)

Doesn't break anything, though, so definitely not of high importance.

HLFH commented on 2013-05-01 16:13

To solve the error : "Transport Exception
javax.net.ssl.SSLException: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty"

Just do this in your Terminal :
>yaourt -S jre7-openjdk icedtea-web-java7
>update-ca-certificates -f

Anonymous comment on 2013-02-12 23:57

@khampf Thanks mate!

khampf commented on 2013-02-12 23:51

@delucks: Sounds great, I've disowned it now so go ahead :) I was reporting bugs upstream and testing out fixes when I had time for it, great software.

Anonymous comment on 2013-02-12 14:56

@khampf I'd be very willing to maintain it, I use Nixnote a good bit, enough to be up-to-date on their release schedule. Thanks!

khampf commented on 2013-02-12 14:10

@delucks: Thanks! Uploading as is, haven't noticed that some other stuff needed to be corrected in the PKGBUILD, nice of you to do it. If you or anyone feels that whey would like to maintain the package just say so and I'll disown it for you, I'm swamped as is and I'm currently using the Windows Evernote-client under PlayOnLinux for now.

Anonymous comment on 2013-02-11 20:24

Hello! I've noticed this package is out of date (as version 1.5 is now up on the sourceforge page). I've finished a new, working version of the PKGBUILD, which you can find here: http://pastebin.com/8NtecL7u. I hope you find it helpful!

khampf commented on 2012-11-13 12:54

@neofish: Looking at jre7-openjdk or any other JRE (for example http://www.archlinux.org/packages/extra/x86_64/jre7-openjdk/) it provides: java-runtime=7

khampf commented on 2012-11-13 12:51

@neofish: Looking at jre7-openjdk (http://www.archlinux.org/packages/extra/x86_64/jre7-openjdk/) it provides: java-runtime=7

neofish commented on 2012-11-11 06:17

java-runtime does not exist.

ManuelFte commented on 2012-10-23 04:35

The file is back again, the new md5sum is 89f2f7936bcd00b0feaa7d834e972eb8. :)

Kudlaty commented on 2012-10-18 17:02

there is no libpng12
think we should change to libpng

khampf commented on 2012-10-16 13:25

Baumgarr (developer): -"Unfortunately that tar did not upload correctly and was corrupt so I deleted it. I hope to have it reposted this weekend. I'm moving and my PC is in a box or I would have uploaded it yesterday."

khampf commented on 2012-10-16 13:24

Message from the developer of NixNote: - "Unfortunately that tar did not upload correctly and was corrupt so I deleted it. I hope to have it reposted this weekend. I'm moving and my PC is in a box or I would have uploaded it yesterday."

khampf commented on 2012-10-16 12:37

@ManuelFte: Yesterday the i386.tar.gz did exist, today it's gone. I'm not sure what the developer is up to ... I've sent him a message

ManuelFte commented on 2012-10-16 05:06

nixnote-1.4_i386.tar.gz doesn't exist.

khampf commented on 2012-10-15 15:01

@aurelieng: New packages released under the same version number upstream, updating PKGBUILD. Thanks for noticing! :)

aurelieng commented on 2012-10-14 16:41

The MD5 validation of the AMD64 package fails. The expected MD5 is f6c7eab5dd6629e03bf21b09dce41b98. Should it be updated ?

dekece commented on 2012-09-15 00:51

Great,thank you. I actually can't believe I forgot to even install java :/

khampf commented on 2012-09-12 00:01

@dekece: Looking at jre7-openjdk (http://www.archlinux.org/packages/extra/x86_64/jre7-openjdk/) it provides: java-runtime=7

dekece commented on 2012-09-11 13:53

It requires java-runtime, but that dependency doesn't seem to be under that name in the packages/AUR.

khampf commented on 2012-09-04 08:02

Version 1.3 is only available as deb- and rpm-packages for i386 and is not yet marked as being current, I will update the PKGBUILD soon but not before it's fully available :)

khampf commented on 2012-04-16 12:07

I adopted the package as I'm getting a little involved in bugfixing upstream anyways. I use Nixnote daily and haven't seen that trustAnchors error. However I suggest looking trough the logs and perhaps testing if the problem exists also in the patched version (1.2.120404 at time of writing this). Also it might be an idea to check all tags, the handling of tags is where I found problems (not even syncing on badly formatted tags).

ava1ar commented on 2012-04-15 17:32

I am no longer using Evernote service, so disowing this. Please adopt, if you are interested.

donniezazen commented on 2012-02-21 05:44

@ChrisDennis I am getting same 'Transport Exception' error on Ubuntu.

ChrisDennis commented on 2012-01-20 18:16

Thank you for adopting this package.

I've just installed nixnote and its prequisites via the usual 'makepkg' incantation, and I get this message when I try to connect:

Transport Exception
javax.net.ssl.SSLException: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty

Searching around for a solution has yielded nothing specific or useful.

Has anyone else seen this? I'm not sure if it's a nixnote-specific problem, or a more general java one.

cheers

Chris

ava1ar commented on 2011-12-25 02:29

Adopted and update PKGBUILD based on requests in comments. Please test and report feedback.

petelewis commented on 2011-12-13 11:14

Yeah, please just use the same version number as upstream. Thanks.

BluePeril commented on 2011-12-04 19:55

Could you set the release number back to "normal" numbering scheme, please? Nixnote has normal releases and its not a release checked out from subversion.

Anonymous comment on 2011-10-28 12:21

Hi. I have installed nixnote, but can not run it:
Loading library: 'libQtCore.so.4'...
- using deployment spec

at com.trolltech.qt.internal.NativeLibraryManager.loadNativeLibrary(NativeLibraryManager.java:431)
at com.trolltech.qt.internal.NativeLibraryManager.loadQtLibrary(NativeLibraryManager.java:355)
at com.trolltech.qt.Utilities.loadQtLibrary(Utilities.java:140)
at com.trolltech.qt.Utilities.loadQtLibrary(Utilities.java:136)
at com.trolltech.qt.QtJambi_LibraryInitializer.<clinit>(QtJambi_LibraryInitializer.java:56)
... 1 more
Caused by: java.lang.UnsatisfiedLinkError: /tmp/QtJambi_ilya_amd64_4.5.2_01_gcc-20090628-2055/lib/libQtCore.so.4: /tmp/QtJambi_ilya_amd64_4.5.2_01_gcc-20090628-2055/lib/libQtCore.so.4: failed to map segment from shared object: Operation not permitted
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1750)
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1646)
at java.lang.Runtime.load0(Runtime.java:787)
at java.lang.Runtime.load(Runtime.java:775)
at com.trolltech.qt.internal.NativeLibraryManager.loadLibrary_helper(NativeLibraryManager.java:458)
at com.trolltech.qt.internal.NativeLibraryManager.loadNativeLibrary(NativeLibraryManager.java:426)
... 5 more
Could not find the main class: cx.fbn.nevernote.NeverNote. Program will exit.